Page MenuHomePhabricator

Error creating thumbnail for specific PDF files on Commons: "Killed" (Ghostscript exceeding memory limits?)
Closed, ResolvedPublic

Description

https://commons.wikimedia.org/wiki/File:Thresher_Display.PDF and
https://commons.wikimedia.org/wiki/File:Viquimodernisme_preliminary_results.pdf

Error creating thumbnail: /bin/bash: line 1: 10107 Done 'gs' -sDEVICE=jpeg -sOutputFile=- -dFirstPage=1 -dLastPage=1 -r150 -dBATCH -dNOPAUSE -q '/tmp/localcopy_ab56cab56d80-1.pdf'
10108 Killed | 'convert' -depth 8 -resize 359 - '/tmp/transform_8f93fd9f91ca-1.jpg'


Version: master
Severity: normal

Details

Reference
bz48041

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:35 AM
bzimport set Reference to bz48041.
bzimport added a subscriber: Unknown Object (MLST).
Aklapper created this task.May 3 2013, 10:44 AM

Split from list in bug 41665 comment 2

Yann added a comment.Dec 10 2013, 12:52 PM

Hello,

It seems that there is a similar issue here:
https://fr.wikisource.org/wiki/Fichier:18830318_Le_Constitutionnel.pdf

While opening
https://upload.wikimedia.org/wikipedia/commons/thumb/8/82/18830318_Le_Constitutionnel.pdf/page1-4266px-18830318_Le_Constitutionnel.pdf.jpg

I get
Error creating thumbnail: /bin/bash: line 1: 24921 Done 'gs' -sDEVICE=jpeg -sOutputFile=- -dFirstPage=1 -dLastPage=1 -r150 -dBATCH -dNOPAUSE -q '/tmp/localcopy_8cd9a1683647-1.pdf'
24922 Killed | 'convert' -depth 8 -resize 4266 - '/tmp/transform_41fb87c7c07e-1.jpg'

matmarex renamed this task from Error creating thumbnail for specific PDF files on Commons: "Killed" to Error creating thumbnail for specific PDF files on Commons: "Killed" (Ghostscript exceeding memory limits?).Aug 30 2015, 10:13 PM
matmarex set Security to None.
matmarex removed a subscriber: wikibugs-l-list.
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptAug 30 2015, 10:13 PM

Seemingly related: T61668.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:39 PM
Aklapper closed this task as Resolved.Nov 16 2017, 1:10 AM

All three test cases provided in this task render thumbnails correctly for me.
Hence closing this task as this problem cannot be reproduced anymore nowadays.
Please reopen and provide links if you can still reproduce this very problem. Thanks!